Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.core
Enum GMSConstants.groupStartupState

    java.lang.Object
      java.lang.Enum<GMSConstants.groupStartupState>
          com.sun.enterprise.ee.cms.core.GMSConstants.groupStartupState

All Implemented Interfaces:
  Serializable, Comparable<GMSConstants.groupStartupState>

Enclosing class:
  GMSConstants

    public static enum GMSConstants.groupStartupState

extends Enum<GMSConstants.groupStartupState>

Enum Constant Summary
`COMPLETED_FAILED`
`COMPLETED_SUCCESS`
`INITIATED`

Method Summary
`static GMSConstants.groupStartupState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GMSConstants.groupStartupState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIATED

    public static final GMSConstants.groupStartupState INITIATED

### COMPLETED_SUCCESS

    public static final GMSConstants.groupStartupState COMPLETED_SUCCESS

### COMPLETED_FAILED

    public static final GMSConstants.groupStartupState COMPLETED_FAILED

Method Detail

### values

    public static final GMSConstants.groupStartupState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GMSConstants.groupStartupState c : GMSConstants.groupStartupState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GMSConstants.groupStartupState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.